Skip to content

3.1.2 Update a Product ​

Endpoint:

plain
POST /OpenApi/V1/Sku/Sku/update?signature=xxx

HTTP method: POST

Request parameters:

FieldTypeRequiredDescription
skuIdintYesSKU ID
skustringNosku
skuNamestringNoSKU name in Chinese
skuNameEnstringNoSKU name in English
lengthnumberNoLength
widthnumberNoWidth
heightnumberNoHeight
distanceUnitintNoDimension unit
weightnumberNoWeight
netWeightnumberNoNet weight
massUnitintNoWeight unit
fnSkustringNoFN SKU
notestringNoNotes
shippingTypeintNoShipping type
piecesQtyInCartonintNoUnits per carton

Success response example:

json
{
    "code": "200",
    "result": [],
    "message": "Updated successfully"
}

Error response example:

json
{
    "code": "400",
    "result": [],
    "message": "Failed to update"
}